# netdata go.d.plugin configuration for snmp
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 1.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#  - If no charts are defined, a default chart with default dimensions is used. Specification of default chart is defined below.
#  - Version 1 or 2 of SNMP protocol requires 'community' parameter.
#  - Version 3 of SNMP protocol requires 'user' parameter.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - hostname
#    Hostname
#    Syntax:
#      hostname: "127.0.0.1"
#  - options
#    Parameters for SNMP connection:
#    Syntax:
#      options:
#        port: <SNMP port>
#        retries: <Number of retries>
#        timeout: <Timeout in seconds>
#        version: <SNMP versions>  (1, 2, 3)
#        max_request_size: <Maximum number of request that snmp device can handle at once>
#  - community
#    SNMP community string. This is mandatory if SNMP protocol is version 1 or 2.
#    Syntax:
#      community: "public"
#  - user
#    User information. This is mandatory if SNMP protocol is 3.
#    Syntax:
#      user:
#        name: <username>
#        level: <security levels>  (1, 2, 3)
#        ## 1 - noAuthNoPriv
#        ## 2 - authNoPriv
#        ## 3 - authPriv
#        auth_proto: <authentication protocol>  (1, 2, 3, 4, 5, 6, 7)
#        ## 1 - none
#        ## 2 - md5
#        ## 3 - sha
#        ## 4 - sha224
#        ## 5 - sha256
#        ## 6 - sha384
#        ## 7 - sha512
#        auth_key: <auth key>
#        priv_proto: <privacy protocol>  (1, 2, 3, 4, 5)
#        ## 1 - none
#        ## 2 - des
#        ## 3 - aes
#        ## 4 - aes192
#        ## 5 - aes256
#        priv_key: <privacy key>
#
#  - charts
#    List of charts and it's parameters. This is mandatory.
#    Syntax:
#      charts:
#        - title: <Title>
#          priority: <Priority within charts>
#          family: <Submenu where chart belongs to>
#          units: <Units of metrics>
#          type: <Chart Type>  (line, area, stacked)
#          multiply_range: <Multiply Range>
#          dimensions:
#          - name: <Name>
#            oid: <Valid OID>
#            algorithm: <Algorithm (incremental, absolute, percentage-of-absolute-row, percentage-of-incremental-row)>
#            multiplier: <Multiplier>
#            divisor: <Divisor>
#            
#
#
# [ JOB defaults ]:
#  hostname: "127.0.0.1"
#  max_request_size: 60
#  options:
#    port: 161
#    retries: 2
#    timeout: 1
#    version: 2
#  
#  charts:
#   - title: "default"                    # mandatory
#     priority: 1
#     family: "ports"
#     units: "kilobits/s"
#     type: "area"
#     dimensions:                         # mandatory
#       - name: "in"                      # mandatory
#         oid: "1.3.6.1.2.1.2.2.1.10.2"   # mandatory
#         algorithm: "incremental"
#         multiplier: 1
#         divisor: 1
#
# [ JOB mandatory parameters ]:
#  - name
#  - community #(if options.version is 1 or 2)
#  - user  #(if options.version is 3)
#  - charts
#
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every: 1
# autodetection_retry: 0
# priority: 70000

#jobs:
#  - name: switch
#    update_every: 10
#    hostname: "192.0.2.1"
#    community: public
#    options:
#      version: 2
#    user:
#      name: "username"
#      level: "authPriv"
#      auth_proto: "sha256"
#      auth_key: "auth_protocol_passphrase"
#      priv_proto: "aes256"
#      priv_key: "priv_protocol_passphrase"
#    charts:
#      - id: "bandwidth_port1"
#        title: "Switch Bandwidth for port 1"
#        units: "kilobits/s"
#        type: "area"
#        family: "ports"
#        dimensions:
#          - name: "in"
#            oid: "1.3.6.1.2.1.2.2.1.10.1"
#            algorithm: "incremental"
#            multiplier: 8
#            divisor: 1000
#          - name: "out"
#            oid: "1.3.6.1.2.1.2.2.1.16.1"
#            multiplier: -8
#            divisor: 1000
#      - id: "bandwidth_port2"
#        title: "Switch Bandwidth for port 2"
#        units: "kilobits/s"
#        type: "area"
#        family: "ports"
#        dimensions:
#          - name: "in"
#            oid: "1.3.6.1.2.1.2.2.1.10.2"
#            algorithm: "incremental"
#            multiplier: 8
#            divisor: 1000
#          - name: "out"
#            oid: "1.3.6.1.2.1.2.2.1.16.2"
#            multiplier: -8
#            divisor: 1000
